<?php

	/*
    * Copyright (c) 2024 Bundeswehr
    * Diese Anwendung wurde von Cedric Prietz entwickelt.
    * E-Mail: CedricPrietz@bundeswehr.org
    * App: 90-8303-54618
    * Letzte Änderung: 27.08.2024
    */

    // Session Initialisieren
    session_start();

	# Prüfen ob Installation erforderlich ist
    if (!file_exists(__DIR__ . '/install.lock')) {

        header('Location: install');
      	exit();

    }

	# Loginstatus Prüfen und weiterleiten
    if (!isset($_SESSION['LoggedIn']) || $_SESSION['LoggedIn'] !== true) {

        header('location: login');
        exit;

    } else {

        header('location: dashboard');
        exit;

    }

?>